package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.ESFeign;
import com.steerinfo.dil.service.ITmstruckSmsRusultService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * TmstruckSmsRusult RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-18 09:19
 * 类描述
 * 修订历史：
 * 日期：2021-10-18
 * 作者：generator
 * 参考：
 * 描述：TmstruckSmsRusult RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/tmstrucksmsrusults")
public class TmstruckSmsRusultController extends BaseRESTfulController{

    @Autowired
    ITmstruckSmsRusultService tmstruckSmsRusultService;
    @Autowired
    ESFeign esFeign;
    @Autowired
    ColumnDataUtil columnDataUtil;
    private final SimpleDateFormat sdfDateTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    //查询短信实绩
    @ApiOperation(value="查询短信实绩")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(175)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getSmsResult")
    public RESTfulResult getSmsResult(@RequestBody(required=false) Map<String,Object> mapValue,
                                                      Integer apiId,
                                                      Integer pageNum,
                                                      Integer pageSize,
                                                      String con
    ){
        PageHelper.startPage(pageNum,pageSize);
        if(con!=null){
            mapValue.put("con","%"+con+"%");
        }
        //分页数据
        DataChange.queryDataByDateTime(""+mapValue.get("startTime"),""+mapValue.get("endTime") , mapValue,sdfDateTime);//根据时间段查询数据
        List<Map<String, Object>> smsResult = tmstruckSmsRusultService.getSmsResult(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, null,smsResult);
        return success(pageList);
    }

    @PostMapping("/sendMeaage")
    public RESTfulResult sendMeaage(@RequestParam String mobile,
                                    @RequestParam String content){
        int i = 0;
        try {
             i = tmstruckSmsRusultService.sendMessage(mobile,content);
        } catch (Exception e) {
            return failed(e.getMessage());
        }
        if(i == 0){
            return failed("发送失败");
        }
        return success("发送成功");
    }

    /**
    @PostMapping("/sendMeaageHR")
    public RESTfulResult sendMeaageHR(){
        int i = 0;
        try {
            String buffer = "15298101428,18381727965,18228668767,18111380046,18881808125,15908288650,19983769469,17323333234,18781886398,13989679254,18582117229,15281845576,15182891631,18789535878,18281879834,18881814547,13398346355,18981469077,17883999979,15984793836,13419073025,18973737442,15908389826,17828899589,18282910962,15228067620,18282211296,17323321297,15228070059,17608221008,19182840831,18884716292,17612836848,18881850935,15281814408,18881831303,18228632268,15583789530,18782819442,15220553904,18784852224,18382498065,13388206660,15881871921,13543760477,15583350802,15682288908,18058267520,18782812600,13202000331,18481901591,15182835529,13551476727,13558821474,13419319848,15281882277,15013514408,15984776715,17628487496,17398191114,13548287046,18881864012,15182860397,18682899147,15882978341,19198858737,13548289254,13629069410,18782772321,17781949081,13225981741,17365517119,15508181876,18282277939,13419099608,15775611238,13209583127,18284670717,18259529367,17323336566,15681483721,15984781538,17710034875,17378430227,17277874751,13678294034,19198854067,13551475807,19983694159,19983222658,13228129404,15882900141,17738370555,17828889789,15181845577,18002370501,15228042176,15681877115,17311559128,15882986871,19511771018,18381993290,15508212635,14755769727,13981489932,13518242425,15295641107,17828866678,18982832497,18881829262,18881834036,18582843113,13508259377,18626864190,17759468286,17307205916,15390452888,18282995531,18282296632,18981468580,15082427378,16608181223,18282901335,18282277322,13908248318,18881813994,15508188008,18381810331,15828337567,15281804100,15997169849,15328952922,19008281843,18881847206,13350299131,18034727833,17340273555,18008186957,13543194889,13558557985,15760479151,18781848494,18381903793,13585949742,13320830008,18782883411,19983797167,15182869480,17723193997,15181886348,15684788367,18381832537,18398825660,18881813323,19038237137,18181006299,15228003110,17790318988,19198809197,18881874081,18282275887,18523535039,15002824327,18065175929,15228038486,13332679550,19119058135,18398899601,13795964633,18981482645,15808193689,17323312022,15348240300,15881839534,13778379435,13982868862,13568192749,18001353395,15708182255,15892422955,18781899200,15257497678,17760075753,18780833775,18281844493,18215678052,18282913976,17708898525,15983996440,18282262322,17330802937,15196636355,19180197915,19182877573,18989163729,18384830519,15881860990,18780874869,18780283483,17764099900,18384877070,13702101660,19382877770,13330831717,18780803335,13558539584,18223473126,18582123496,15281807021,18682819796,18982883483,18989177647,19382812381,15008410925,15328941413,15681895212,13404044410,19983723877,18228659374,18408259087,15019499670,15882974296,18782211725,15328979333,17828887471,19511730333,15682297886,15882935514,13183506193,15181463201,18881826838,15318726524,19180194467,15351418256,19162917646,18581534535,13619061287,17620682359,15808106990,13198743981,15775466777,15181888836,15902893228,13168635973,17717630883,15761699287,18223416617,17748009691,15196882803,18381804466,18381836406,13551474981,15228081886,15984779027,13330827410,15729893789,13730793848,18280805886,18483262753,18381888915,18117923855,18380151644,19032099061,19536610103,18880956355,15984910456,17323370672,18280960722,18781864231,19146413228,18881825700,18084837680,18884213040,15760671685,13310259849,18200248180,13438566867,18282202223,18728068232,18281811054,17386039973,15907694386,13438563471,15182839985,19338170217,13002858710,16623115532,13629069743,18272147904,13551437794,18982842325,19710820306,18113388836,17378408909,18096242712,15583304324,15766657168,18228657301,18200471074,17581868899,15775677670,13079081509,18281624708,18881862612,13547238067,18381480532,19218199494,18384862226,17311555735,13699478622,15298139377,15215256552,17766905038,13228128320,19119074222,18123207670,18384812511,17380195513,15196850952,18380426620,15228013564,18380156962,18682815170,15182837247,18481912510,19382824897,17738398818,13013303036,15608352746,15281808665,13629060350,15680033310,13246467610,15983859499,18113734817,15523977082,19168042159,18096269255,15583376661,18389700791,19959111552,19160696333,17581806824,15082414716,15681879663,19162914604,18828663752,15281870509,13568896123,18881803315,18398858760,13488200355,15721545748,19182835763,15923259923,13056638256,18668012883,18828665885,18328016601,18381899180,15228095091,17708904274,18483689206,19183883253,18398830889,19140452381,13631564967,13508261287,16608183535,19160699520,18228620453,17850097125,15556699242,15823025102,15181888723,19162889180,18383415570,18881868626,16746363777,17309992940,13105036365,18381999727,13112818044,13419050305,18282129809,17828886588,13399702037,13086326596,15984492789,19381905141,17748180477,18282272521,18716217875,18880968998,13610143329,15082379548,13260869019,19983156703,15884724939,18782064593,17520495373,18782828729,18594209468,18380336850,15196864731,15808194464,18883293282,13419059199,13547256051,17628668004,18228672707,15708180123,18081517578,18281850773,13882872332,13098664845,17738395554,15008469051,18328440087,18384881551,15108202949,18881857338,17867027455,13684008740,19325745664,17311333262,19982661954,17628288796,17581801061,15508183880,15348263606,19827475304,13809268289,13882355021,15983860221,13234118675,17608292329,15708181320,18398317384,19162908223,14781869880,18228645725,18328093342,17602811837,13568356437,15723556386,15828047746,17780981021,15657297101,18398883194,13882823014,18583679181,15680959226,18375830338,15681897839,18282270791,19150204730,15882321749,18623389454,15923900498,18602336553,14781860762,19182837727,18281872653,18982803652,15611334472,15881861561,17378401501,17361787925,17764591409,17740960445,18282284801,18781818833,18398896826,15182895263,18784860710,16608186334,18208393424,15281858257,15908381249,18881810263,13111838380,18381483848,18481827320,13438830974,15892951482,18121463607,19889131553,13160729592,18797304409,18689006937,18780825716,13425672673,13700921212,18398817022,17744223108,13048052746,18048738109,13548280346,15281419302,18105886199,18481835189,15228025260,13064335998,13778381298,13629755601,18398809322,19829178355,17623392776,17628695161,19138964145,13648196651,13547234521,15881861028,18682830445,18581569743,15082877939,16697084303,17738387242,19198819880,13094509658,13222110504,18381932262,18780856674,15984485355,18481853384,18781852086,15960272018,13650525609,17323302897,18113388813,18282924974,19511770610,18982802807,17730876597,13215276395,19183855083,18784818958,15082404137,13311245595,13519011423,18682828395,15680309972,18876092325,18381955140,15298145977,16608186697,18381800859,15692809131,17781085362,18084995979,13219186035,18682883143,17600164975,18784854026,17628176154,18281861643,15881451044,13325525876,15328929069,17711376047,17623127792,18043367265,13219137320,18381815841,17303112177,18281876699,15982091147,17313273535,15298137893,18784870286,19511819322,17396241056,13882843067,18178526906,18381990189,18584881223,19338850537,19177393729,18398960051,17581844697,19881815524,17380168671,17754344614,18090938160,18780885382,13458463312,13684202501,19238182291,17828889061,15881864243,17511613738,17623395293,18780817842,15298130851,13518253252,18381850077,15328945352,18509705048,13458189819,13795697371,18281800217,13772974612,13028399717,18398833341,18398862557,15583209523,15775661198,15328244510,17781940868,18881717283,13944323520,19822923840,17322149073,17767909856,15775662350,19938194495,17628690372,15823975968,17628690664,15982993701,18160055138,18113387619,17781943841,18282279300,18180191045,13378232526,15984484371,13079000604,15109777996,18391667861,17628660724,15196880791,17313232456,19190259116,15984494829,18989163317,17781831912,18281884007,18081525545,15228088997,17628692726,16699770227,17744276301,19881827642,15181840072,17341907353,18127980459,17683297384,18974987565,17628481120,17380186863,17883982478,18384816522,15298103677,19983766885,13508069727,18808976248,19162921186,15883738214,18682801017,15060403860,18716509335,15583357643,18399388170,15228060236,13378193116,19960464886,18575271421,18781891951,13018391047,18381806756,19182000451,18784822614,13881681586,14781809073,19181493375,13547222119,13668381856,18381483072,18582672301,13345491012,18111787863,15775694361,18084990140,18582838324,18034726212,19511828753,18781825725,13398324894,15881854118,18380557220,17380202147,19822922645,15108435049,19238182080,15528873820,18582848154,19182293196,18908246622,18190106361,15182837573,19983770556,15082409715,19915609057,17628686747,18782809305,15982981100,13079039732,19923993540,17349469520,17628685062,18981471579,13036479420,15882928510,15882916308,18228613287,18481829578,15681872603,17823462307,18780878824,19983761954,19981794752,18782871121,17760687095,18899746794,17628691472,15318621779,18583462074,19160681313,13219195332,18780894086,18481917826,15228020405,18398557718,18398898808,19881815783,18948349615,17611519671,18160039218,17676219305,15681491606,18160050672,13551427599,18881815669,13002378845,18784833708,17263812717,18228688326,13142333274,15884726037,15828592596,18884363946,17323306865,15908283907,15528034590,13438577924,17342932002,17760411029,15181899726,15881824144,13183307971,18384884003,13551433787,17740108520,15928855881,15328970251,15882947995,18828674273,15228050062,18784847202,19983798558,13982858493,17828890149,13558546997,18582836564,13079025356,15883736026,15669483285,18784897825,17313280649,15082873536,19511730152,17713701782,17275606589,17265724391,13108440117,13618091657,15508227476,13882871417,19138562691,15583330780,15182812372,18584207302,15583768273,18859921378,17628485482,13386655744,15625573493,15520769480,17367317247,13981494980,15881865541,19382861665,19162890528,15281868919,19511701724,18582836224,13219185289,18384897477,19511788858,17380189175,15082429896,19982551307,13982681443,18828541798,14781833923,18682866250,15228084019,19038212094,18282932104,13079008036,15508180686,18981455485,18481895765,19160669856,17311545950,18784879263,18981485372,18383333648,15298090018,15982999506,18880993001,19583301530,15082888336,15881897188,18605189060,18784897257,17738616266,19181490270,19983788169,13547259075,17345385828,18781833276,18129893804,13283751661,18090907880,13659061027,13408193735,18381972335,17759317113,18682857283,19338859226,15889297531,13568352249,15228091292,18398310037,18876286890,17340241197,15681476980,18398828212,18381986335,19983775287,15983861711,18381958105,18523981080,18881809788,18090929780,18228627163,18281802607,19138566166,18904079690,18481946675,19122473982,15183577417,17311523009,18282929744,19511802166,18881819712,17708874461,18398847115,13279479896,15182063010,17623534231,18281860890,18200572750,18328052205,15882940909,18880979409,13398326956,18780059473,18250195242,18398861432,18616187796,15182893400,15719154236,13205013595,19983710088,17713735803,18381981702,13143293931,15881830610,14726662876,18881813886,15328245775,18381942226,18605753610,18881843005,18881819443,17323344726,13079097525,19983767467,17311500007,15680547765,17828883343,15823350637,17780468689,15760472860,15228008442,13388333724,19511741111,18160921221,18281825699,18228656563,18048068393,15298118090,18379324988,13060031826,13290030663,13551414419,13350231165,17311558255,13686115269,13754977312,13547882276,18682848086,18582831019,17625504040,19119096108,13315075234,18281812973,17311525986,16608187881,17602810881,17311515111,15608388139,13408195225,18508185924,14726661916,19162830789,13982854387,18628321450,18574362442,18123185280,13599136308,15181461113,17313315175,13541183577,19338825273,18881856779,18381896002,18282267417,13568354624,18784388295,15082867109,17623352384,18881846607,15213145296,18784806596,13228274016,13240623466,17780986885,18323021592,13219171671,13982815021,15228031719,18880985161,15228156971,13550811093,17760681952,19338819668,15282402655,15775679905,15882980601,15882950153,17340240309,15507537241,17781962162,17711237140,15215111176,15984792447,13778301243,15730595589,17313231235,18282219241,16608183999,18081533386,13502729184,15181468944,13619064710,13778337647,15320532261,18837696392,18123185561,19836000207,17677466419,18299993903,17628693937,15198150943,17623188347,15982938679,15281883660,15892955761,18381982942,13590532735,17683141439,15520278935,13795682370,18384817855,18384800050,15828310986,13198153373,18982897725,18228609088,18582818061,19138709462,18282215956,13414469851,18284639795,19938576761,13795693338,17738655982,18608182205,17311550176,18111388826,18398876353,18682893773,18481025054,18682880607,19278200675,18398809039,17602309936,18782872449,18169424443,19162847754,17628489948,15182892698,18582094324,15528357260,18582883173,18384881142,18784826196,14702883501,15289028419,17628666598,18702319218,15681465789,19381474993,17738961593,15082777934,18481868699,19338850504,18880999091,17683190359,13419086090,15983919044,13508250464,19881822516,18011568460,13419061356,13281748069,18223819445,16673169935,13036635102,19908815753,19983725031,17628662162,17323329613,18398752802,18505890053,19983740896,18955289325,13219392192,17780187207,17341921793,15181835947,17805948957,18381041142,16600024717,18782861825,18398850598,19983767222,17883998990,19828753587,17313297750,17313252513,19140440779,15520711952,19119053130,15510904069,17883977077,17390616496,17378410212,15397911409,18725984843,13778354418,13351635271,19198873839,17711254593,18011246611,17867025380,18008171670,18381998263,13648357110,18808184833,15281828331,15881834844,13558546465,18558237181,13032806620,18282212280,13757797965,13778325512,18398828904,15775609830,18881895525,15016998447,19038243005,18508184141,19338893375,17628178462,15196893097,14781893921,15756265311,15328962753,15882903312,19198899990,17345747510,17340431303,15183980544,19162880172,18250303012,13608035056,13558674353,19119064227,15892427475,18593833978,19881816819,17833810692,15118362839,14781818375,18160058800,17740967635,15881882964,18284620486,18808409807,17381574536,19848704011,19273006823,18881858560,13436072609,15328949830,13398328326,18582092407,19881876692,18719054214,19182868685,18683560316,19881869808,18809522115,15228054971,18344563024,17265863955,13458186503,18982835424,17378425886,18581524365,15520273893,13397497916,18161428983,15328912602,18982882324,17738949577,19182861985,15619582251,15681252629,13094508290,19182833826,13308244815,15583362978,18282913829,18782650354,18612093871,18201206940,19108186957,19162961968,18144877389,19208248481,18884325025,18780804542,18682859003,13558533391,18682890851,18381998669,18381848715,15957223792,18381802907,18081116725,13458190661,18398300905,18282951870,15082736296,15281844897,17738612500,13551415559,18808184558,15390125852,15760663772,13568184206,19881839695,16608180668,13198121122,15281837133,18608182820,15892423876,17828028702,13989165320,18398309368,13350770588,14781805659,18808246568,15283298481,19881813338,15281834706,17781949920,18780877133,18481864530,13388217010,13551452228,17628696829,17760673170,18282271165,13635228610,13222231190,18090931919,13548295518,13547248999,18381801398,13778329275,18682832913,18180188780,19983719990,15508226268,15922561913,15263547552,18384860466,18381805155,13350475057,18008081973,18780826355,18683525901,18982832612,13183591993,15882917202,17308058576,17365558660,18282992532,18011245462,17620486794,13320820839,15298129533,17608186993,18784885435,15882628306,18069010513,13982877214,18881816481,18682865524,18048721773,18608974878,18116570825,17683198019,15881851074,17683193323,15281650598,13350897178,15298147955,15884739370,15982982770,18382379066,15812837574,15984484561,15228052282,15984498999,15280124827,19182894367,18481818120,18111387211,15328918767,15183587667,18161422245,18281896293,15881808606,18381029756,18381884840,18483695215,18090902352,18281806271,15881891807,13637984410,17612829005,15182821707,19382859110,17317144416,18384180039,18982844515,19708398821,15730140009,13551420256,17683292981,16608054608,17863960831,15348279080,15182820309,18160056456,18608181552,18381494105,18881801447,18328039304,13108065401,17581848105,15282419625,13378202280,17323319533,15899624178,17606079839,13151555137,18682858857,13568168416,13708233887,17610628737,15208294989,17581863789,18980193859,16619979383,16608030446,18381928607,13990799352,15082881452,15892957121,18576892172,15823898090,19066518306,15808195792,19108180880,17864183294,17738389838,15775642747,18381982007,15814563508,15569129595,13057597181,18008180682,18328541785,17357459589,19108240507,13340777570,13128124216,17716153032,15182228417,13129409120,18282902694,15082892223,15328941989,17828870686,18284638196,18284673251,13551468742,17382829930,19910153650,15281871513,18589644228,13929219960,15908389401,18282274013,18282979462,15289001998,19150940719,17628692042,13527499182,18008195812,18034722638,15123085224,18982829772,15202183992,13882096241,13547258465,18381963819,18111788993,18228635212,18612334720,18228611797,14781817697,18780897378,13330279031,15600022715,18398209339,18398805358,13808041653,13458199121,18284629058,18398887466,17832956201,17623139688,19332155158,18282949018,19558868362,17748008024,17313233686,18682886285,15183584803,17760077997,13198302830,15775606771,13079006502,18381835075,17711450001,18398858698,17628488620,13171646732,17883999526,19904791286,15892425572,13163829102,18228866085,18090909899,13779387504,17683190332,18881801028,18782855611,13299208029,18982899563,13558561011,18328399948,13629063917,19180835131,19160468777,18384836275,13076069844,18928554787,13281612883,18982816186,17628686817,15555579354,13568601519,18381806092,18784884991,18582838651,17341915759,18782839616,13118319917,13548295580,18682819113,19983762760,19960685993,19522331952,18384983856,19238206915,18281846355,17828894619,15983896668,13281421621,15692813818,16608071673,17780183409,18398307390,15760466644,18598560954,15182807073,18784830861,17328397548,15881816393,13778060580,18384863339,13896397860,17761099019,15962524476,15760688129,18782876981,19119098807,17738928625,19208242458,13551404945,18784892952,17828886631,13108181669,17367370340,15328957921,17323386646,18682878008,15508215639,13551424745,19827199350,18123192171,15692806138,18781805396,13356272954,18808247495,13508244865,18381817458,18381985410,15883707867,18105914891,13823468959,15080360253,15228052139,17313232835,18282229867,15181897613,18716384918,18116793153,18780862567,13398325751,18282201549,18982855923,18608245591,13067777357,18228612151,15281852589,17738622979,15182872611,18398305828,13707523482,18282988897,15881882064,19511803363,18682849911,18780885738,17722612027,18011245558,15892979762,18228636492,18282929503,19881868092,18096266989,13551448171,15120026365,13778349929,18228629994,13698102390,18011244574,17311559468,13350778810,19382867026,19536618177,18048737288,18281191735,18676296876,19162965601,18682839952,17311551183,13123001927,13508267268,15508222876,18227978838,15883711911,17611007338,15281814206,13795960652,15715900210,18688421082,18581804520,18682830217,18282266669,17802649001,17313283337,18682810209,13551921311,18008195669,13778328224,17828892000,19162832283,15750932975,19511758199,17898328963,18090903141,13108188855,15984096869,19160666667,18084992757,15328933372,18989165344,18090919235,18981451886,18682841526,13419090668,17775522347,19812838806,13560669362,13882859011,18328486287,13408199488,15892963680,17828855966,15181888556,18989154042,13350486922,18982820803,13924763445,15228099755,18284669829,15884563340,15181838951,13388200122,19198817939,15860813183,17323332419,13139073882,13551360434,17883999759,15881455100,15196889253,18708403316,18602839261,19023753655,15520200205,18281860100,18398850688,15928252126,18880959716,19140453705,19338889748,18781854834,15082402343,15508216596,13650150024,19808182125,18281885767,18508186723,18781828960,13018508538,13228289821,17581860961,18782810179,15882988732,13055322024,15059117826,13551472467,15899783346,13198758773,18881813117,15558877529,18111789991,19511821179,17760076960,18982879366,17365551238,18111382193,14781877707,19881837986,18881803631,15882987526,13056440617,17780984140,19812837073,13036620912,17828852313,13184882130,18398300395,15922676755,15730476909,18680866221,18282917611,15181862254,18982894662,15182823330,19182875570,13079065665,15082864689,18682848272,18582812184,18060595530,15181804552,15181875952,15982995751,15984789143,13317415517,18282729902,13981459397,15883709970,15328904325,19232839031,15082862121,18048066622,19119069867,18583731313,18357219516,15390259754,13440048780,18782802115,19161358093,17311550180,19196899768,18280053036,13981497757,18081538695,17818906432,15181874203,19008284069,15828171801,18034714830,13568198308,19108189116,13981463744,13558554102,15334505120,13438044702,15775628098,17723427772,18282222771,17841370865,18982811569,18223372207,15681897111,18282989891,18780891098,17608189470,15883924374,13518249757,13928992823,18881868532,18881859420,18084985143,15881819881,13219190519,19130321788,15520291383,18281819524,18384862164,18483679755,19338828217,16608188563,18090912092,15023123317,18381913385,13440046221,17265897919,18981457718,17323355999,17760070917,13551737330,17323310976,13340839173,15228070034,15060112924,17602844890,18768276705,18282266886,15928240291,18784817939,18828685162,18881861090,13982834473,13982845364,18881859925,18111657927,17748755036,18048724300,13378204679,13398341494,16684708503,15892981430,17581868162,18556721821,15910588263,15171348042,19183854555,18384801410,18881880199,18826283672,18381802663,13430622108,18850562433,19008283939,17828885603,18282253334,14781816281,18518721852,18982498907,18090903205,18282993224,18228678028,15892411249,17313300631,18982810781,18398309511,15583876065,19983765817,17713695127,17628687174,17323313100,19983132757,15181830830,18282246673,17338990268,17260830850,18881863388,18723461684,17628694366,18881848100,18580027365,19338886596,18181362117,18981468049,13228218301,15244806064,18115368040,18381494415,18109044036,17325254433,17825202959,19277095594,18557517556,18703107878,17760676656,18384873206,15281895788,15883721017,15807750109,13547252349,18081533515,18244446424,18682875120,17365511161,13086679059,13790121167,13202026095,16623039293,18581817773,13096193996,13794883024,15528888565,15881827129,18481883021,18780855886,17721483845,18581538931,18008279248,18608002630,17378400005,18682868128,18398875705,15983850851,19960479989,16602073083,13148724988,17883978816,15234001508,15228054192,17723400443,18582832112,15250473263,19881086356,18129540126,15014976711,18398818360,19143544653,18500030764,19522625295,18680086640,19511838751,17726382996,18381875516,17711238331,19130791827,18189095432,18081531727,18398827792,13198300020,15808188068,13025405519,15729888050,18281871630,13272868410,19910783642,18983826604,13419060646,15196897685,18784851415,17683293811,18982806393,18579419213,18090902097,15328915531,17395960995,17722339685,18805005120,18398802710,15715812295,15298135231,18398897880,15321857791,15298106021,15870489022,13568171623,19926065239,19881855295,15181863624,19567857561,15508235960,13989166515,17630904528,13550148332,13051792182,15388398689,18780862198,18582867682,15282403637,17323302135,18081523026,18781874652,19183870158,17323340285,17380180067,18384847653,18581543462,18384810202,15283288189,17628698077,13158424170,17898323165,15196882490,15298111996,17380171039,19382882369,13980195944,17323320083,15311292656,16260367899,13771037754,18481803328,17365554816,15396125973,18381801774,19138561423,18094554183,18929297330,17628674840,18808184975,19162833338,15528882191,13088071557,18284631196,13350489027,15328906670,18281851926,19522199604,19196887102,18859762003,18282920320,18282220521,15760692405,13340676966,17341917991,15328949337,18398861733,15729889872,17628661375,18681405918,19910766739,18880951516,18465238145,13678298532,17828482983,13356537680,18908245564,18384821463,18942882323,18780860542,18228649460,13419053651,15701263162,15625272205,18682810076,19146429409,17744272748,17323317133,15196894113,17620516808,14781854294,18781883540,19511848626,15729637162,13388201722,18282946766,13350788207,18282287676,18457707553,17341925025,18888046142,15760173844,13434020217,18784824367,13568359963,18284638389,19812837540,18880958488,18090916782,18780828038,18581557001,18111374094,13277761989,18280472382,15884508992,18760434341,18113179958,15196879122,15700104722,17338751318,18111376611,15775468866,18529567826,19511841472,17760683230,17341910422,15882931810,18578368626,15228020414,18581802997,18090916791,18090927992,15528879111,19119053662,18010029600,13117292503,19160695202,15367373407,15181800058,18728753915,17365557452,18281874267,19338837929,18282984924,18328707891,13551462490,13088155567,15182837732,13071540258,13714924343,18881808718,18000113102,18384880300,17780184445,17781953293,14726674058,18384554547,15008395122,13551423221,18244443239,13508268065,14781853106,18584829195,18281844126,13778359479,17341718577,15160732855,14726665520,15689472785,17628670515,13551458471,13392054588,15812893651,13558730524,18515776226,18284665499,18284624626,18881870524,19983795812,17883480314,18682810924,15281821679,14706546878,15681898178,18784806720,17323332721,17667848050,13619066363,16625566874,15881440211,18810817455,19277085319,18013128435,18481900701,15181878611,13558524480,15883708151,13057727032,19522073995,19910766391,15378280723,17781961185,18381993879,17628697419,17721974143,13138360609,13198444445,17711239398,17512060059,17628678569,17380144795,18682845636,17882078911,18281800294,15775678891,18781847952,13183411537,13094481910,13508247221,18575986845,15281888027,15082705699,15882920770,13551462003,15915353374,17628678421,14781820770,18481906186,18880964567,19983611546,17707920531,13558553556,15775677271,18111789344,17710354612,19119068253,15982988182,13079085230,13419091103,15583336830,17340242239,15583335966,18481833350,15531365393,17781958509,15557516051,15228024379,15700554505,17323381310,17738638051,13864328982,13249086901,18881852668,14781894088,18281822403,17778678004,18281892218,13079082660,13028949653,15384934887,19949403564,13778338144,18148011773,18481886871,17380183753,18200439742,18554004840,15883717714,18048069080,18781867961,19328778357,15984757142,18398315675,18381907895,13825357400,18111385557,15881837523,18899614533,18780872186,18034723040,17520402450,13340675088,18682837129,15500744943,17683190748,13079090053,18381957790,17760077710,18784828381,18281828466,18194954890,13960980069,19338808724,13659066245,15892415009,18728711694,17713690313,18506911553,18552436691,18228666864,15882914658,13079072017,17365533875,15730365803,18284626942,19182807440,18784840200,13208212910,18399298118,13228107257,17351911208,15181834047,15282407314,13092851403,17859560810,18780898205,18884887991,18961230957,18282230210,15705258113,15210562192,19911751881,17628691236,13228271893,18384831631,15760660910,15794615122,18781882070,15274922295,17738910183,15881066064,19910126502,19161530792,18289070347,15283289060,17888489368,18282769917,18481855477,18282256261,16603046485,18384851361,17628691878,13388604067,19889137147,19322803095,13143238191,19182836842,19983765743,18011236774,15883724850,19330648170,18084988686,15216911646,19162928273,19983787672,18160052323,19511850160,18384840692,17688645157,19915611859,17311507762,19130342230,17395906997,13228466981,18381941739,18228671584,15320414109,17374138924,17341932696,18784836371,13684242426,17628489016,17581847307,19338801835,19198826256,19983677981,15680167235,18881856279,18982849698,13725440536,13540025285,17780181238,17581844615,13590376645,19818806658,15775601560,13002811952,18284665712,18532264289,18839919039,15182869477,17704229961,15328241157,18582809183,18708423908,13558545108,15228084459,18818914959,17780181805,18008191230,17323393735,17628484863,18284657807,18081538877,15828612911,15608247528,18582802715,17867020195,19162900613,17623560138,17738936956,13189061737,17718543301,15520279921,13551927130,15228065253,18481892930,19174223820,18565739571,17358999305,15181467641,18481832370,18974811415,18782836027,17738652038,15308241663,16601894164,18011239271,15775638215,17830797893,17365550056,18898025257,15983862213,19382871665,19983730732,18608241556,17738399220,18090904851,17313312070,18784850642,15630734091,18090927447,14781846916,19381467148,13063821605,18481850767,17581869496,17621340412,13183527867,13508257239,15908385421,17380163835,13060085404,15298131411,15583749285,19960470277,17628664839,18608187425,18716365251,17738386849,13371520646,17608187216,18582840114,17311500091,13908248218,18784828662,19145786697,17505813587,17744275507,19960655859,16628409269,15228052407,17313298052,18381968316,18481012007,15183591541,18381939802,13550494342,18759481663,19119059110,18228691903,18481833043,15182836383,13330825145,19182850921,19238180503,17208187250,19007264732,17730225032,17867028988,18551190279,18828662072,13486790165,18108288704,15328923605,13568353182,19881818893,15281834380,18016292964,19308242818,19938566330,18025645164,19112723044,13547306051,15284061282,17313260439,19038255620,18881841171,17313317166,13183593125,15775685425,19511806025,15892994294,19119067610,18281854203,13056442865,18659565985,15508189085,17323309521,19511713542,17738393182,18215606072,18996360718,15692816080,18828655565,13551452528,17323360513,17341936633,19520488517,13882899000,15228047611,15196855516,17883965630,19511710180,13668387103,19374760856,15196851773,13725830835,18157259419,15388399226,17780987161,15082874808,17608149318,15808182136,19338866665,18608185881,15057491353,17608185456,15181832725,18780840642,18202162623,18682863372,15388395103,18908246747,15281838304,18782873655,18780888953,13013346296,18398855566,13340836661,13158708868,18228666804,15181823200,18982866181,18481946778,15984751588,17748479777,18008182442,18688089316,18680743486,15181886519,17760071004,18650356269,17738380407,13608177830,15867385349,13320824260,17757328832,17628664446,18782856787,17898320323,18781811686,18981460395,18781827805,13981451448,19162836903,18552452451,18781805063,15348251611,19218189588,18228648397,13684232432,15228000155,18582800050,13684232626,19136499269,19882311250,18281833369,18780818702,18500348108,13882887956,18381958065,17701292013,18282916675,18859493077,18725677570,15528871321,18281853383,15150146474,19382838878,17360157895,13418266774,15328945200,13419052885,19382831227,15882912270,13960374975,18116798236,18200989086,17508341505,18680854640,18705299596,18282980380,18086936302,13378200117,19911767682,13547347416,18096267755,18381995035,15196852372,15058634332,18080696432,15881866927,15760642823,19960671520,18111380865,15881818228,19983762932,18782876300,13885876154,18398317448,13541557917,13036625150,18782894476,13547243443,18098911865,15228071311,18123181520,17738374725,18398852377,18018381290,18398801966,18880455804,13568538395,15828509040,14781833519,18481860207,15528882511,18080699116,18228684246,19038251334,18613190784,15814462664,13668382191,15980255596,13419086989,18782121278,18398309075,19983787822,17781960797,13023368313,18981492623,17628672560,13008017193,15768896984,18381871414,15595732347,15775464112,18483686923,13882809139,18682863443,15983886302,15881816222,13550013157,17340270579,18781881220,18565593130,13926227635,18989164213,18782832908,15106331339,18784823757,17311507232,18381923161,13551463114,13684244054,17260831800,19983726676,18080684010,18881835642,15298146393,13588782239,17780980310,18228635429,15808196626,18559943974,13088155111,15881889791,15882935075,18350782083,18398824353,13958487067,18757610083,13282617529,13882821621,13538176361,15876620602,13018688058,15388386907,13360652946,13551925663,19382812483,18398833345,18608187768,18881819566,18008196121,15243331270,18828686223,18782838798,18284658588,19119085353,18113397087,15366273401,15310512552,13551453753,18683750790,15984784533,18024888975,15950940119,18250332050,16620134410,18781887188,13548280070,13981480949,13698119950,13717379206,18782894558,18011244480,15828095338,15082427525,18980233424,15181856633,15881887010,13330831818,15184498169,15358422350,15880460128,18381972226,18381857393,18328306544,15631677887,15881831681,13183596968,18481812304,18818183482,17665435006,13818473701,15729637022,15082855006,18981494129,19182899762,18284628164,17780989090,15508273360,15228003326,13320820019,15386587502,13419075739,13094509795,18034727376,15583787507,17666053714,17781945953,15390459439,15882900635,15760663236,18658760603,15082853637,15916781966,13550113708,13518250932,18658355368,15883709207,19182811630,15390121127,17380200191,18682856759,13281734667,18781881585,18881858476,18284649051,18782849710,18127082765,18982813141,18221818935,19183859839,17711235327,18228673812,18228601260,18784808577,15881882677,16769092100,13882846201,18048069525,13633324402,18280250957,18282281965,15881870780,15208336763,17313231392,18725785659,18281810487,19338830704,15859747855,15082403167,13533460655,18581849051,18982807937,18728407475,13925400235,15881881085,19958525013,15881821356,15328968862,13629069796,15013545737,13419099921,15082401792,18550820293,13568174276,19301150925,18209952447,18180412340,17323358808,18215678891,14781810803,19082453559,15182860184,13798966954,15040441172,15298105322,15984773196,17608149147,18111382916,19881887669,18284668660,19983678127,13982829130,15818302854,18881857770,17702893487,13568975263,17738398132,13428533298,18481810270,15928803906,15908447815,18161343538,18883742661,18083017864,13684237006,17698023876,15882018987,19382877559,15328962487,13458563410,13551455704,19129526258,17608188805,17882461243,15760460943,13541741375,18083654489,18708138018,17628689828,14781818041,13548296640,18080695771,18481892968,15775622945,19881867890,19338834494,18282956251,18278039091,18111370129,19277083410,13350295971";
            //String[] str = new String[]{"13350295971","19511831823"};
            StringBuffer bf = new StringBuffer();
            for(String mobile : buffer.split(",")){
                String code = tmstruckSmsRusultService.sendMessageHR(mobile);
                if(StringUtils.isNotEmpty(code)){
                    System.out.println("发送失败");
                    bf.append(code).append(",");
                    continue;
                }
                i++;
            }
            System.out.println(bf);
            System.out.println(i);
        } catch (Exception e) {
            return failed(e.getMessage());
        }
        return success("发送成功");
    }

    */
}
